%define cobvers 1.1

Name:		open-cobol
Version:	1.1
Release:	0.20090208%{?dist}
Summary:	OpenCOBOL - COBOL compiler

Group:		Development/Languages
License:	GPLv2+ and LGPLv2+

URL:		http://www.opencobol.org
# Source:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source:		http://www.sim-basis.de/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gmp-devel >= 4.1.4
BuildRequires:	readline-devel
BuildRequires:	db4-devel >= 4.1.24
BuildRequires:	libtool
BuildRequires:	libtool-ltdl-devel

Requires:	gcc
Requires:	glibc-devel
Requires:	gmp >= 4.1.4
Requires:	gmp-devel >= 4.1.4
Requires:	db4 >= 4.1.24
Requires:	ncurses >= 5.4
Requires:       libcob = %{version}
Obsoletes:	libcob-devel < 1.0.90
Requires(post): /sbin/install-info

%description
OpenCOBOL is an open-source COBOL compiler, which translates COBOL
programs to C code and compiles it using GCC.

%package -n libcob
Summary:        OpenCOBOL runtime library
Group:		Development/Libraries
Requires(post):	/sbin/ldconfig
Requires(postun):	/sbin/ldconfig

%description -n libcob
%{summary}.
Runtime libraries for OpenCOBOL

%prep
%setup -q -n %{name}-%{cobvers}

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure --disable-rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# set -D__NO_STRING_LINES for i86 systems

# %ifarch %{ix86}
# BUILDFLAGS="-D__NO_STRING_INLINES=1"
# %endif

make %{?_smp_mflags} 

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT/%{_libdir} -type f -name "*.*a" -exec rm -f {} ';'
rm -rf $RPM_BUILD_ROOT/%{_infodir}/dir

%find_lang %{name}

%check
make check

%files -f %{name}.lang
%defattr (-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%doc NEWS README THANKS
%{_bindir}/cobc
%{_bindir}/cob-config
%{_bindir}/cobcrun
%{_datadir}/open-cobol
%{_infodir}/open-cobol.info*
%{_includedir}/*
%{_libdir}/libcob.so

%files -n libcob
%defattr (-,root,root,-)
%doc COPYING.LIB
%{_libdir}/libcob.so.*

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/install-info %{_infodir}/open-cobol.info %{_infodir}/dir 2>/dev/null || :

%postun 
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/open-cobol.info %{_infodir}/dir 2>/dev/null || :
fi

%post -n libcob -p /sbin/ldconfig

%postun -n libcob -p /sbin/ldconfig

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-0.20090208
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-0.20090207
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 23 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.1-0.20090206
- Adapt version to naming guidelines

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.95-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec  1 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0.95-3
- Obsoleting libcob-devel

* Tue Oct 21 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0.95-2
- Fix Changelog entry
- Rebuild

* Mon Oct 20 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0.95-1
- New upstream relase
- Fix FORTIFY_SOURCE issue (#464554)

* Mon Sep 15 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0.90-4
- Remove _FORTIFY_SOURCE as adviced by the upstream

* Thu Sep 11 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0.90-3
- Add -D__NO_STRING_INLINES for the i86 arch

* Sun Aug 17 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0.90-2
- Fix dependency open-cobol -> libcob

* Tue Aug 12 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0.90-1
- Prerelease of opben-cobol-1.1

* Tue Aug  5 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0-3
- Blocking Test #98 to failing

* Wed Jul 30 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0-2
- OpenCOBOL req. libcob-devel
- Fix URIs
- Fix tiwce groups

* Wed Jul 30 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.0-1
- Initional Fedora RPM package

